Форум программистов, компьютерный форум, киберфорум
SolidWorks
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.67/9: Рейтинг темы: голосов - 9, средняя оценка - 4.67
22 / 22 / 1
Регистрация: 06.04.2014
Сообщений: 198
1

Добавление деталей в сборку на C# API SolidWorks

20.03.2017, 19:16. Показов 1854. Ответов 1

Начал запись макроса, далее создаю сборку и добавляю готовые детали на сборку, все хорошо, останавливаю запись, открываю заново Солид, запускаю макрос, сборка создается, а детали не добавляются. Скажите что нужно добавить или что не так с кодом? В справке API ничего не нашел.
C#
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
using SolidWorks.Interop.sldworks;
using SolidWorks.Interop.swconst;
using System.Runtime.InteropServices;
using System;
 
namespace Macro1.csproj
{
    public partial class SolidWorksMacro
    {
        public void Main()
        {
            ModelDoc2 swDoc = null;
            PartDoc swPart = null;
            DrawingDoc swDrawing = null;
            AssemblyDoc swAssembly = null;
            bool boolstatus = false;
            int longstatus = 0;
            int longwarnings = 0;
            swDoc = ((ModelDoc2)(swApp.NewDocument("C:\\User\\ProgramData\\SolidWorks\\SolidWorks 2016\\templates\\gost-assy.asmdot", 0, 0, 0)));
            swApp.ActivateDoc2("Сборка1", false, ref longstatus);
            swDoc = ((ModelDoc2)(swApp.ActiveDoc));
            ModelView myModelView = null;
            myModelView = ((ModelView)(swDoc.ActiveView));
            myModelView.FrameState = ((int)(swWindowState_e.swWindowMaximized));
            swAssembly = ((AssemblyDoc)(swDoc));
            boolstatus = swAssembly.AddComponent("C:\\Users\\Desktop\\fgfg.SLDPRT", 0.027620825299025514, 0.072698020262157451, 0.15179969937013105);
        }
 
        /// <summary>
        ///  The SldWorks swApp variable is pre-assigned for you.
        /// </summary>
        public SldWorks swApp;
    }
}
0

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
20.03.2017, 19:16
Ответы с готовыми решениями:

SolidWorks Сопряжение деталей. Последный штрих
Здравствуйте! Мне необходимо написать макрос, который сопряжет две детали(&quot;Locator&quot;,...

C# + API SolidWorks
Начинаю работать с API….вопрос в том што когда создаю новий документ детали SwApp.NewPart(); ...

Перезапуск SolidWorks API
Подскажите пожалуйста как перезапустить полностью SolidWorks? Пишу так, не помогает. Само окно...

Посоветуйте сборку для работы преимущественно с КАДами (Компас, SolidWorks и т. п.)
Есть потребность собрать домашний пк для работы с тяжёлыми средствами разработки (всевозможные...

1
94 / 91 / 21
Регистрация: 30.08.2015
Сообщений: 386
10.05.2017, 21:12 2
потому что при записи макроса не все действия записываются, ошибка в способе - тоесть что бы записался максрос нужен какой то определенный способ
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
10.05.2017, 21:12

Внесение материала в SolidWorks через API
Доброе время суток. У меня самодельная программа на С# создаёт деталь. И мне необходимо присвоить...

Свойства конфигураций SolidWorks через API
Доброе время суток. У меня самодельная программа на С# создаёт деталь. И мне необходимо что бы...

Solidworks API создание массива элементов, управляемый кривой
Доброго времени суток, Уважаемые! Собственно, сразу к делу. Пишу программу для создания некой...

SolidWorks PCB не экспортирует плату в стандартный SolidWorks
Пытаюсь экспортировать плату в стандартный Solidworks. Схема собрана, размещена на плате и сделана...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
2
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.